cURL
curl --request GET \
--url https://api.xpaycheckout.com/webhook/{webhookConfigId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.xpaycheckout.com/webhook/{webhookConfigId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.xpaycheckout.com/webhook/{webhookConfigId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"webhookConfigId": "whc_gKAi2oZN1AeU7BfV",
"webHookUrl": "https://your-webhook-endpoint.com/webhook",
"eventSigner": "secret_key",
"subscribedEventTypes": [
"intent.checkout_opened",
"intent.created",
"intent.failed",
"intent.refunded",
"intent.success",
"subscription.trialing",
"subscription.cycle_charged"
],
"isActive": true
}{
"errorCode": "bad_request",
"errorDescription": "Failed to read request"
}Webhook Configuration
Get Webhook Configuration
Retrieve a specific webhook configuration by its identifier.
GET
/
webhook
/
{webhookConfigId}
cURL
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Identifier of the webhook configuration to retrieve
Response
Webhook configuration details
Unique identifier for the webhook configuration
Example:
"whc_gKAi2oZN1AeU7BfV"
Webhook endpoint URL that was registered
Example:
"https://your-webhook-endpoint.com/webhook"
Secret used to sign outgoing events
Example:
"secret_key"
Events configured for this webhook
Example:
[
"intent.checkout_opened",
"intent.created",
"intent.failed",
"intent.refunded",
"intent.success",
"subscription.trialing",
"subscription.cycle_charged"
]
Indicates whether the webhook configuration is active
Example:
true
Was this page helpful?